# backups Manager

## A command line utility to create secure and progresive backups

Based in [Restic](https://restic.net)

backups-manager -v(verbose) -l tasks-list-path -m match-name

## Command options

    [ task option for CMD ($CMD) or ARCHIVER ($ARCHIVER) ] [user] [source-paths] [backup-path | id | last . ] [restore-target-path]

    tasks will use:

    CMD ($CMD) with options: copy restore show mount clean 
    or ARCHIVER ($ARCHIVER) for: archive-copy archive-restore archive-show archive-delete archive-create

    with [task user source ] parameters assigned 'tasks-list' is not processed
    parameters with value take precedence over the one in 'tasks-list'
    parameters can be occupied their space with '-' to be ignores, 
    in 'restore' task using '.' or 'last' as 'backup-path' option, will get last saved copy  (ej: backup restore - - . /tmp/e)
    CMD ($CMD) uses a passworfile RESTIC_PASSWORD_FILE generated with user|password encrypted

    use '-h tasks-list' to get help on 'tasks-list' sintax


    Task list format (fields serpartor '|' ):

## Command arguments

1 - title name
2 - user (if start with '@' is also password)
3 - task: copy restore show mount clean  (by adding '::' will include options for command [-v,-q])
4 - source-paths:

- if separate by ';' will do relative path each one by '::' for several absolute paths in one time
- '__prfx__' will be replaced with PRFX_NAME ($PRFX_NAME)

5 - target-path:

- starting with '_backsrvr@' will use a default BACKUP_SERVER ($BACKUP_SERVER)
- with '_path@' will set default ROOT_BACKUP_PATH (\$ROOT_BACKUP_PATH)
'__prfx__' will be replaced with PRFX_NAME ($PRFX_NAME)

## Inspiration

  Thera are so many templates parser ... 

## Kubernetes ConfigMap

To generate a ConfigMap block for Kubernetes use:

__generarte-cfgmap.sh__ target-file-path

It is simple utility to add file name and indent script code below

### Run examples

## References

## License

MIT
